<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcMechanicsThruster Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcMechanicsThruster Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcMechanicsThruster" --><!-- doxytag: inherits="iBase" -->
<p>Property class representing a thruster that affect forces on the attached object.  
 <a href="structiPcMechanicsThruster.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mechthruster_8h_source.html">propclass/mechthruster.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcMechanicsThruster:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcMechanicsThruster.png" usemap="#iPcMechanicsThruster_map" alt=""/>
  <map id="iPcMechanicsThruster_map" name="iPcMechanicsThruster_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,139,24"/>
</map>
 </div></div>

<p><a href="structiPcMechanicsThruster-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#a9483391c4910aaa18a4a9ef54c518b53">AvailableThrust</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">How much thrust is available on this thruster?  <a href="#a9483391c4910aaa18a4a9ef54c518b53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#a7404916ae9c8a0e7593c5b9a26836688">GetMaxThrust</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum thrust.  <a href="#a7404916ae9c8a0e7593c5b9a26836688"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#ac8464e3f0f6fb95337f6de1e088360a7">GetMechanicsObject</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the associated mechanics object.  <a href="#ac8464e3f0f6fb95337f6de1e088360a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#a0929f7319baa1e12caae4ba5e2f31b5b">GetOrientation</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the orientation of the thruster.  <a href="#a0929f7319baa1e12caae4ba5e2f31b5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#af15316e7cc677a3cf7d83b5859d32bae">GetPosition</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the thruster's position relative to the object.  <a href="#af15316e7cc677a3cf7d83b5859d32bae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#aa4564a3b0af12470075522fe560e69c5">GetThrustForce</a> (float thrust)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the amount of force a given thrust will produce, taking into account the current environment.  <a href="#aa4564a3b0af12470075522fe560e69c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#a864dc30457d7c637f3325f4dbdcfe8f1">SetMaxThrust</a> (float maxthrust)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the maximum thrust.  <a href="#a864dc30457d7c637f3325f4dbdcfe8f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#af62f7cd9f08e6bc811444ce0f8ba1a90">SetMechanicsObject</a> (<a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *mechsys)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the mechanics object to affect.  <a href="#af62f7cd9f08e6bc811444ce0f8ba1a90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#ad1da423ce63e3385bcbc2351e3f566e0">SetOrientation</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;orientation)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the orientation of the thruster.  <a href="#ad1da423ce63e3385bcbc2351e3f566e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#a82056c06951bb30badc8ccef992ac5a1">SetPosition</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;pos)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the thruster's position relative to the object.  <a href="#a82056c06951bb30badc8ccef992ac5a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcMechanicsThruster.html#a30d0e70da5843aee4d8cb9a365382023">ThrustChange</a> (float deltathrust)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies a delta to the thruster's current thrust.  <a href="#a30d0e70da5843aee4d8cb9a365382023"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Property class representing a thruster that affect forces on the attached object. </p>
<p>This property class supports the following actions (add prefix 'cel.mechanics.reactionary.action.' if you want to access this action through a message):</p>
<ul>
<li>InitThruster: parameters 'objectpctag' (string), 'position' (vector3). </li>
</ul>

<p>Definition at line <a class="el" href="mechthruster_8h_source.html#l00040">40</a> of file <a class="el" href="mechthruster_8h_source.html">mechthruster.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9483391c4910aaa18a4a9ef54c518b53"></a><!-- doxytag: member="iPcMechanicsThruster::AvailableThrust" ref="a9483391c4910aaa18a4a9ef54c518b53" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsThruster.html#a9483391c4910aaa18a4a9ef54c518b53">iPcMechanicsThruster::AvailableThrust</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>How much thrust is available on this thruster? </p>

</div>
</div>
<a class="anchor" id="a7404916ae9c8a0e7593c5b9a26836688"></a><!-- doxytag: member="iPcMechanicsThruster::GetMaxThrust" ref="a7404916ae9c8a0e7593c5b9a26836688" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsThruster.html#a7404916ae9c8a0e7593c5b9a26836688">iPcMechanicsThruster::GetMaxThrust</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum thrust. </p>

</div>
</div>
<a class="anchor" id="ac8464e3f0f6fb95337f6de1e088360a7"></a><!-- doxytag: member="iPcMechanicsThruster::GetMechanicsObject" ref="ac8464e3f0f6fb95337f6de1e088360a7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a>* <a class="el" href="structiPcMechanicsThruster.html#ac8464e3f0f6fb95337f6de1e088360a7">iPcMechanicsThruster::GetMechanicsObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the associated mechanics object. </p>

</div>
</div>
<a class="anchor" id="a0929f7319baa1e12caae4ba5e2f31b5b"></a><!-- doxytag: member="iPcMechanicsThruster::GetOrientation" ref="a0929f7319baa1e12caae4ba5e2f31b5b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; <a class="el" href="structiPcMechanicsThruster.html#a0929f7319baa1e12caae4ba5e2f31b5b">iPcMechanicsThruster::GetOrientation</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the orientation of the thruster. </p>

</div>
</div>
<a class="anchor" id="af15316e7cc677a3cf7d83b5859d32bae"></a><!-- doxytag: member="iPcMechanicsThruster::GetPosition" ref="af15316e7cc677a3cf7d83b5859d32bae" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; <a class="el" href="structiPcMechanicsThruster.html#af15316e7cc677a3cf7d83b5859d32bae">iPcMechanicsThruster::GetPosition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the thruster's position relative to the object. </p>

</div>
</div>
<a class="anchor" id="aa4564a3b0af12470075522fe560e69c5"></a><!-- doxytag: member="iPcMechanicsThruster::GetThrustForce" ref="aa4564a3b0af12470075522fe560e69c5" args="(float thrust)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcMechanicsThruster.html#aa4564a3b0af12470075522fe560e69c5">iPcMechanicsThruster::GetThrustForce</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>thrust</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the amount of force a given thrust will produce, taking into account the current environment. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">thrust</td><td>the amount of thrust to convert. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a864dc30457d7c637f3325f4dbdcfe8f1"></a><!-- doxytag: member="iPcMechanicsThruster::SetMaxThrust" ref="a864dc30457d7c637f3325f4dbdcfe8f1" args="(float maxthrust)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThruster.html#a864dc30457d7c637f3325f4dbdcfe8f1">iPcMechanicsThruster::SetMaxThrust</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>maxthrust</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the maximum thrust. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">maxthrust</td><td>the maximum amount of thrust this thruster can accomodate. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af62f7cd9f08e6bc811444ce0f8ba1a90"></a><!-- doxytag: member="iPcMechanicsThruster::SetMechanicsObject" ref="af62f7cd9f08e6bc811444ce0f8ba1a90" args="(iPcMechanicsObject *mechsys)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThruster.html#af62f7cd9f08e6bc811444ce0f8ba1a90">iPcMechanicsThruster::SetMechanicsObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a> *&#160;</td>
          <td class="paramname"><em>mechsys</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the mechanics object to affect. </p>
<p>This is required. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mechsys</td><td>the object the thruster is attached to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad1da423ce63e3385bcbc2351e3f566e0"></a><!-- doxytag: member="iPcMechanicsThruster::SetOrientation" ref="ad1da423ce63e3385bcbc2351e3f566e0" args="(const csVector3 &amp;orientation)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThruster.html#ad1da423ce63e3385bcbc2351e3f566e0">iPcMechanicsThruster::SetOrientation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>orientation</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the orientation of the thruster. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">orientation</td><td>the direction in which the thruster points. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a82056c06951bb30badc8ccef992ac5a1"></a><!-- doxytag: member="iPcMechanicsThruster::SetPosition" ref="a82056c06951bb30badc8ccef992ac5a1" args="(const csVector3 &amp;pos)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThruster.html#a82056c06951bb30badc8ccef992ac5a1">iPcMechanicsThruster::SetPosition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the thruster's position relative to the object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pos</td><td>the offset from the center of the object to the thruster. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a30d0e70da5843aee4d8cb9a365382023"></a><!-- doxytag: member="iPcMechanicsThruster::ThrustChange" ref="a30d0e70da5843aee4d8cb9a365382023" args="(float deltathrust)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcMechanicsThruster.html#a30d0e70da5843aee4d8cb9a365382023">iPcMechanicsThruster::ThrustChange</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>deltathrust</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Applies a delta to the thruster's current thrust. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">deltathrust</td><td>the change in thrust. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="mechthruster_8h_source.html">mechthruster.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
